PDA

View Full Version : Release 2.9



Moon Wizard
June 15th, 2012, 07:57
Fantasy Grounds v2.9 is now available via the FG updater or via the FG installer on the Downloads page.

Please see the following post for a summary of changes in this release. Additionally, a more comprehensive list of patch notes is available here (http://www.fantasygrounds.com/filelibrary/patchnotes.html).

If for any reason you are unable to use v2.9, please immediately let me know via private message or the House of Healing forum.

NOTE: You should disable all extensions for 3.5E and 4E campaigns as the ruleset structure has changed dramatically since the last version, and the extension developers will most likely need to update their extensions to work correctly.

Cheers,
JPG

Moon Wizard
June 15th, 2012, 07:57
Summary of changes in this release


New and improved updater.
Players have full control over their map viewing, unless the GM chooses otherwise.
Multi-touch support
On-screen chat history can be copied to clipboard
[4E/3.5E] Party sheet
[4E/3.5E] Calendar and campaign log
[4E/3.5E] Updated interfaces for items, treasure parcels, NPCs and encounters
[4E/3.5E] Improved item identification
[4E/3.5E] Custom campaign tables
[4E/3.5E] Scrollbars
[4E/3.5E] Movable, resizable chat window. Use radial menu to unlock.
[4E/3.5E] Portrait selection moved to character sheet. GM accessible.
[4E/3.5E] Colored dice results, for special dice rolls (criticals, etc.)
[4E/3.5E] Critical status applied to damage rolls following critical attack result
[4E/3.5E] House rule option for fumble and critical hit tables
[4E/3.5E] Conditional effects
[4E] Common modifier keys on campaign modifier sheet
[4E] Automatic regeneration disable handling for energy damage
[3.5E] New NPC options (traps/haunts, vehicles, spells)
...Many other minor changes, as well as 4E and 3.5E rulesets...
...Lots of developer additions and changes...
...And many bug fixes...

Tryll
June 15th, 2012, 16:13
I'm running into some minor issues with the upgrade though, as I had/have the DrZuess 4E extensions installed.

Are elements of those extensions now integrated? (It looks like maybe.) For instance, the Party Sheet.

I imagine the recommendation is to remove all the DrZ extensions?

Great job on the update BTW.

unerwünscht
June 15th, 2012, 17:07
I'm running into some minor issues with the upgrade though, as I had/have the DrZuess 4E extensions installed.

Are elements of those extensions now integrated? (It looks like maybe.) For instance, the Party Sheet.

I imagine the recommendation is to remove all the DrZ extensions?

Great job on the update BTW.

Really? It's the 5th item on the list of updates man... come on... read moons posts first :)
But yea I would turn off DrZ's extensions and test things out, if you find something missing then turn only those ones on. :)

geekworx
June 15th, 2012, 17:25
Nice update ... just in time for me to move all my D20 MSRD work across to 2.9.0 ... :)

Thanks for the update. Awesome job.

Tryll
June 15th, 2012, 18:04
Really? It's the 5th item on the list of updates man... come on... read moons posts first :)

I wasn't being completely dense. From what I see, it indicates that there is now a party sheet. I did read that. It doesn't indicate that it is the same, may conflict with, replaces, or anything else about the party sheet I currently have installed (DrZ). I was just wondering, since the DrZ stuff seems popular, and some of the new stuff in FG looks like it might have originated from that same code. (I'm not up to date on the development people/details of FG.)

Right now, I've removed ALL the DrZ stuff, but it looks like at least some of it will need to be added back in to retain my previous functionality.

I know I wasn't too clear, sorry. Just a bit confused by the overlaps. Cheers.

Trenloe
June 15th, 2012, 18:07
Right now, I've removed ALL the DrZ stuff, but it looks like at least some of it will need to be added back in to retain my previous functionality.
You're right, some extensions (like "Enhanced Images") have not been incorporated into FG 2.9. It is anticipated that extensions written for previous versions might have issues running in FG 2.9 - if you encounter such issues it is a good idea to post in the thread specific to that extension so the extension developer can look at the issue for you.

Griogre
June 15th, 2012, 19:42
However because of changes in 2.9 most extensions will not work, so you should not expect any extension to work until you test it.

Zeus
June 15th, 2012, 21:28
Yes, please make sure you disable all current DrZ 4E extensions with v2.9. 90% of the extensions are now incorporated into the base 4E and 3.5E rulesets (say thanks to JPG):


[4E/3.5E] Party sheet
[4E/3.5E] Calendar and campaign log
[4E/3.5E] Updated interfaces for items, treasure parcels, NPCs and encounters
[4E/3.5E] Custom campaign tables
[4E/3.5E] House rule option for fumble and critical hit tables


The remaining extensions are planned for update over the next week, including:


[4E] Enhanced Images
[4E] Fortune Cards
[4E] Theme - Metal Pro


I'm also tweaking a new 4E extension which allows for PC<->NPC conversion, dubbed Tree of Life. Should be ready for testing in the next few days. Finally, if I can track down Tenian and get his permission, I'll also update the 4E Lore and Languages extensions.

Stay tuned.

DrZ.

JohnD
June 15th, 2012, 21:56
I'm also tweaking a new 4E extension which allows for PC<->NPC conversion, dubbed Tree of Life. Should be ready for testing in the next few days. Finally, if I can track down Tenian and get his permission, I'll also update the 4E Lore and Languages extensions.

Stay tuned.

Is there any chance perhaps that you could also do something like this for 3.5e? It sounds essential.

Zeus
June 15th, 2012, 22:12
Is there any chance perhaps that you could also do something like this for 3.5e? It sounds essential.

Hmmmm .... yeah I guess so ;)

It might be a while after the 4E version is released as I have a few other items to finish on the old to do list (its been a while since I've had time to code for FGII). This, unless JPG or another community dev wants to port the 4E code (once its available). Now that 3.5E and 4E share some common structure/code, it should be straightforward - interested parties PM me.

thargar
June 16th, 2012, 12:24
I have to say, I very seldom post on boards but I just wanted to say that I really like the additions you have made in this update and wanted to let you know myself and my group really appreciate the work and thought yall put into your software. Great job.:D

Iceman
June 16th, 2012, 14:49
I was wondering if you could begin submitting your new releases to Symantec?
I believe they have a process in place for legitimate devs to get their OK on the product.
I mention this because Norton flags the latest FG, not as a virus but as HIGH RISK.
So it is a bit of a pain to get it installed, plus most of us would prefer to see Symantecs stamp of approval anyways.



Fantasy Grounds v2.9 is now available via the FG updater or via the FG installer on the Downloads page.

Please see the following post for a summary of changes in this release. Additionally, a more comprehensive list of patch notes is available here (http://www.fantasygrounds.com/filelibrary/patchnotes.html).

If for any reason you are unable to use v2.9, please immediately let me know via private message or the House of Healing forum.

NOTE: You should disable all extensions for 3.5E and 4E campaigns as the ruleset structure has changed dramatically since the last version, and the extension developers will most likely need to update their extensions to work correctly.

Cheers,
JPG

zpu
June 16th, 2012, 17:53
Updater engine move failure? This is an error I keep getting after the update FG pops it and crashes. :(

Moon Wizard
June 16th, 2012, 20:36
That message is stating that the OS is not allowing Fantasy Grounds to rename files.

A couple things to try:
* Run the FG updater in admin mode
* Download the installer utility from the Downloads page, and run it from desktop.
* Uninstall FG, and run installer. Your data will be preserved.

Regards,
JPG

7h1nk74nk
June 16th, 2012, 21:02
Is it possible to customize the new in game calenders for other settings than have been included?

Ceodryn
June 16th, 2012, 21:45
Does the "multi-touch" support means it's working on ipad? Or is it just working on tablet running Windows?

Just curious, thanks!
Ceodryn

Moon Wizard
June 16th, 2012, 21:45
You would need to perform some XML work to create your own calendar. You can make a copy of the 3.5E-calendars.mod, rename to .zip, then edit the files. You would change the definition.xml file to specify a new name for your module, and then change the db.xml file to match your custom calendar.

If your calendar have months that vary in length by years different than the Gregorian calendar, then it would require a new extension as well.

Regards,
JPG

7h1nk74nk
June 16th, 2012, 22:48
Thanks for the info.

7h1nk74nk
June 16th, 2012, 23:00
Out of interest, would the XML code as is, accept names for each week instead of names for each day in that week?

Moon Wizard
June 17th, 2012, 03:12
I'm not in front of my Dev system right now, but I believe that there is no support for named weeks, since none of the major D&D calendars had named weeks.

Regards,
JPG

DMJBone
June 17th, 2012, 07:15
Long time user - few time poster - just wanted to say thanks for this update and all the hard work it represents. My group's been using FG for years now - and we just wanted to say "thanks!"

kelven
June 17th, 2012, 12:35
For me in a windows XP SP3 upgraded, spanish, update of the program fails:

"Windows no puede encontrar el archivo "UpdaterEngine.exe". Asegurese de que la ruta y el nombre del archivo estan escritos correctamente y vuelva a intentarlo. Para buscar un archivo, haga click en Inicio y luego en Buscar."

"FantasyGroundsUpdater: Unable to start UpdaterEngine.exe"

I use a sytem administrator to run Fantasy Grounds and try to update it.

kelven
June 17th, 2012, 12:48
If I run Updater Engine directly from:"C:\Archivos de programa\Fantasy Grounds II\UpdaterEngine.exe", this program works and upgrade Fantasy Grounds II to 2.9, but Updater doesn't works runing it from Fantasy Grounds II.

Zeus
June 17th, 2012, 14:06
If I run Updater Engine directly from:"C:\Archivos de programa\Fantasy Grounds II\UpdaterEngine.exe", this program works and upgrade Fantasy Grounds II to 2.9, but Updater doesn't works runing it from Fantasy Grounds II.

It sounds like the latest FGII v2.9 .exe borks the path for XP systems when trying to launch the updater engine from within the launcher.

From Vista onwards Mircosoft changed the default path for 32bit apps to C:\Program Files (x86)\, C:\Program Files\ is now resvered for 64bit apps (or something). I am guessing thats whats causing the issue on XP systems as of course the path will not exist. I am sure JPG will address shortly.

As an aside, you may want to start considering upgrading from XP to Windows 7 (or 8). Mainstream support from Microsoft for XP ended in 2009. Extended support ends in 2014 so it won't be long before support for XP becomes impractical.

sturtus
June 17th, 2012, 17:10
I seem to have lost all my existing log entries for the calendar in the previous party sheet. I guess I can dig through the old xml, but any suggestions for getting those back?

Moon Wizard
June 17th, 2012, 19:50
There is migration code in the ruleset from the previous extension to the new calendar implementation. If the migration failed, then the data should still be in the campaign db.xml file. If you are having trouble with that, send me an email at [email protected] with the campaign db.xml, and a reminder of what I'm looking at.

Thanks,
JPG

Moon Wizard
June 17th, 2012, 19:51
The old code was lost for one portion of the updater, which appears to be the problem in the case of the Win XP machines. I'm guessing that the working directory is being set differently when the updater is run, than on newer Windows machines. I'll have to do some research.

Regards,
JPG

kelven
June 17th, 2012, 20:39
If I add to system path the line: "C:\Archivos de programa\Fantasy Grounds II\" or where FGII was installed works properly .

kelven
June 17th, 2012, 20:45
sorry, I think this works but still fails to download updates.

Moon Wizard
June 18th, 2012, 00:51
Kelven,

Once the updater is running, it should run fine, since it uses the path information stored in the registry during installation.

What are the settings for application directory and data directory in the updater?

Thanks,
JPG

Moon Wizard
June 18th, 2012, 01:08
Can someone with Windows XP that is having the updater issue, please download this new updater file, and place it over the same file in their Fantasy Grounds II application directory? (i.e. under Program Files)

New updater file (http://www.fantasygrounds.com/filelibrary/beta/FantasyGroundsUpdater.exe)

It will spit out an extra message window with the current executable path and working directory. Since I don't have a Windows XP machine to test on, I need someone to help me gather some info on what is happening. Please let me know what it says.

Thanks,
JPG

kairos
June 18th, 2012, 02:32
Can someone with Windows XP that is having the updater issue, please download this new updater file, and place it over the same file in their Fantasy Grounds II application directory? (i.e. under Program Files)

New updater file (http://www.fantasygrounds.com/filelibrary/beta/FantasyGroundsUpdater.exe)

It will spit out an extra message window with the current executable path and working directory. Since I don't have a Windows XP machine to test on, I need someone to help me gather some info on what is happening. Please let me know what it says.

Thanks,
JPG

Here you go.


https://dl.dropbox.com/u/5964125/fg2/updater_ss.JPG

Moon Wizard
June 18th, 2012, 07:04
Well, that wasn't as helpful in figuring out the issue as I hoped. Can you get me a snapshot of the error dialog that comes up right after that one? That should tell me exactly which function is failing.

Thanks,
JPG

kelven
June 18th, 2012, 14:32
After this window, a window of run as popup and ask about user and password to ejecute program.

If run as administrator, it upgrade software(asking about password of user: administrator. If you put any other user (even having administrators rights) it fails)

snapshots: https://www.box.com/s/b88218a6cd0928bea6e5

Moon Wizard
June 18th, 2012, 18:43
Yes, the updater requires administrator rights, since it needs to update programs in the Program Files directory.

Not sure why other users with admin rights can not update. Perhaps they don't have full admin rights on your system.

Regards,
JPG

kelven
June 18th, 2012, 21:09
..... Perhaps they don't have full admin rights on your system.

Regards,
JPG


If this help to find a bug I´m sure, my user have admin rights. If you need logs or snapshots let me known.

Regards,
Kelven

Moon Wizard
June 18th, 2012, 21:20
Thanks for the offer. This is the first report of an admin rights issue, so I may take you up on your offer, if I see more.

Thanks,
JPG

ThinkTank
June 19th, 2012, 00:50
I see there are options to enable the various side tab pages for the new Party Sheet. All except it seems, the XP tab is only visible on the DMs side of things. Feedback from my group was that it would be really handy to have that visible to the players as a form of quest log / journal to remind themselves of the various goals they should keep in mind. Would it be possible to have the option to make XP tab the same as the other tabs?

AMonkeyWithAFez
June 19th, 2012, 15:09
I am having an issue with the updater. I tried running it from the main screen and it just hung on updating UpdaterEngine.exe... I left it to run overnight to see if it would pass along, but it has not. I uninstalled Fantasy Grounds and downloaded the webinstaller and tried running that also, but I am still getting the same issue hanging at updating UpdaterEngine.exe.

What should I do to resolve this issue?

Thanks!

Monkey

Trenloe
June 19th, 2012, 18:03
I am having an issue with the updater. I tried running it from the main screen and it just hung on updating UpdaterEngine.exe... I left it to run overnight to see if it would pass along, but it has not. I uninstalled Fantasy Grounds and downloaded the webinstaller and tried running that also, but I am still getting the same issue hanging at updating UpdaterEngine.exe.

What should I do to resolve this issue?

Thanks!

Monkey
What operating system are you using?

Have you tried running updaterEngine.exe directly from the FG installation directory? Run this with "Run as Administrator" if you are using Vista or Windows 7.

Dakadin
June 19th, 2012, 18:16
I've made a copy of the UpdaterEngine.exe file and then executed the copy when I've encountered issues. It resolves them for me so maybe it will help you.

gmkieran
June 20th, 2012, 02:23
Just weighing in on this. I have successfully updated by running the UpdaterEngine.exe direct from the FGII folder in ProgramFiles. I have also gone in and verified that the file path for both the .exe and the app data folder are correct in the UpdaterEngine.exe settings. My app data is under the Administrator folder and Administrator does have full admin rights on my PC. However, when I attempt to access the Settings from inside FGII, I get an error message saying UpdaterEngine.exe cannot be found and I should search for it using the Start button (all the while I'm looking at the file). Tech info:

XP Pro SP3
FGII 2.9.0
AVG with FGII authorized

If I can provide further useful information to help resolve these issues, let me know!
Cheers!
GMK

AMonkeyWithAFez
June 20th, 2012, 18:46
The problem for me is solved. I didn't do anything at all, just tried again today and it went through fine. Yesterday I uninstalled everything, reinstalled from a 2.7 version I had on file, tried updating and nothing.... still stuck on the updating UpdaterEngine.exe... sat there for like 3 hours and never moved. Came in today, clicked on it for S-N-Giggles and poof it worked like magic.

For information only:
Windows 7
Windows Defender Firewall and MS Security Essentials for Virus Protection.
Nothing was caught up in the Quarantined Area and my firewall was opened up to allow all files running from the FG II folders to pass through.

bigdruid
June 20th, 2012, 23:48
Hi guys. I just wanted to thank everyone for the work that went into these latest updates. They're pretty amazing.

I've seen a few suggestions for tweaks and improvements, I'm sure I'll have a few of my own, but even if none go in...wow, just...wow.

Gary

ClearlyTheDan
June 21st, 2012, 00:00
I'm running Windows XP.
Choosing Update from the launcher screen didn't work for me. (Message: Windows cannot find 'UpdaterEngine.exe').
So I came here and read the forums, and tried going into the program files and running Updater directly. That seemed to work.
Launched FG again, go to open a character, a popup appears with more than a dozen messages in red "Script error..... attempt to index a nil value". Every character I open is completely blank, no dice, no inventory, nothing.

All I wanted to do was update! Now I'm wondering if all my saved characters have been wiped out!!
Please fix this!!! I am new to Fantasy Grounds and this is a really bad impression.

Griogre
June 21st, 2012, 00:05
You didn't mention what ruleset this was in, but make sure you turn off all extensions and see if that helps.

primarch
June 21st, 2012, 00:08
Hi!

This is a question/suggestion for Moon Wizard. I'm loving that the 4e rule set now includes the automatic ability to suppress regeneration if attacked with a power with the proper keyword, but have you entertained the possibility of extending this to the "insubstantial" trait versus attacks including the "force" keyword. They should cause full damage, but the rule set still halves the damage. The two seem to be similar in coding perhaps to include it at some point.

Its hard to believe sometimes that this is the same product I bought almost 3 years ago. The increased functionality has been worth the wait. :)

ClearlyTheDan
June 21st, 2012, 00:12
Thanks for your reply.

The extensions box is blank, not using any.

I've just gone back, 2 campaigns have blank characters and I get the "nil value" messages, Pathfinder and Thrilling Tales campaigns.
For whatever reason, those same characters will open when I open them under the Dawn of Defiance campaign, and are complete.

Moon Wizard
June 21st, 2012, 04:20
I have started a thread to track updater issues (http://www.fantasygrounds.com/forums/showthread.php?p=126234#post126234). Please weigh in if you have more details.

Thanks,
JPG

Moon Wizard
June 26th, 2012, 01:08
I just pushed a new updater for the v2.9.0 that addresses all known updater issues. If you have any further issues with the updater, please let me know.

Regards,
JPG

Callum
August 14th, 2012, 13:39
Yes, please make sure you disable all current DrZ 4E extensions with v2.9. 90% of the extensions are now incorporated into the base 4E and 3.5E rulesets (say thanks to JPG):


[4E/3.5E] Party sheet
[4E/3.5E] Calendar and campaign log
[4E/3.5E] Updated interfaces for items, treasure parcels, NPCs and encounters
[4E/3.5E] Custom campaign tables
[4E/3.5E] House rule option for fumble and critical hit tables


Thanks, DrZ and JPG, for all this great new stuff! Are there any guides on how to use these? I've looked here and on DrZ's site, but can't find any documentation...

Moon Wizard
August 14th, 2012, 19:40
Not yet. I was working on a revamped manual, but Gencon preparation put that on the side burner for a bit.

If you have questions on how to use a feature, just throw up a note in the forums, and I will make sure it is answered (either by me or another community member).

Regards,
JPG

Zeus
August 14th, 2012, 21:05
Thanks, DrZ and JPG, for all this great new stuff! Are there any guides on how to use these? I've looked here and on DrZ's site, but can't find any documentation...

Thanks.

Yes for my mods I include a readme file with every extension (located in the same place that you download the extension from). However, please note, that JPG has enhanced some of the code so some of the functionality is slightly different between the original extensions and the new 2.9 ruleset e.g. Custom Calendars - the original PartSheet extension uses Tables to define new Calendars whereas in 2.9 JPG opted to using modules.

There are also a few community created video tutorials which walk you through 4E functionality - I'll see if I can find the web links and will post them up.